## com.sun.grizzly
Enum Context.KeyRegistrationState

    java.lang.Object
      java.lang.Enum<Context.KeyRegistrationState>
          com.sun.grizzly.Context.KeyRegistrationState

All Implemented Interfaces:
  Serializable, Comparable<Context.KeyRegistrationState>

Enclosing class:
  Context

    public static enum Context.KeyRegistrationState

extends Enum<Context.KeyRegistrationState>

A `SelectionKey`'s registration state.

Enum Constant Summary
`CANCEL` A cancelled `SelectionKey` registration state.
`NONE` A `SelectionKey` with no registration state.
`REGISTER` A registered `SelectionKey` registration state.

Method Summary
`static Context.KeyRegistrationState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Context.KeyRegistrationState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CANCEL

    public static final Context.KeyRegistrationState CANCEL

  A cancelled `SelectionKey` registration state.

### REGISTER

    public static final Context.KeyRegistrationState REGISTER

  A registered `SelectionKey` registration state.

### NONE

    public static final Context.KeyRegistrationState NONE

  A `SelectionKey` with no registration state.

Method Detail

### values

    public static Context.KeyRegistrationState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Context.KeyRegistrationState c : Context.KeyRegistrationState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Context.KeyRegistrationState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2008 SUN Microsystems. All Rights Reserved.